> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a beneficiary



## OpenAPI

````yaml openapi.yaml post /beneficiaries
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /beneficiaries:
    post:
      summary: Create a beneficiary
      operationId: createBeneficiary
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                channel:
                  type: string
                  example: cm.mtn
                name:
                  type: string
                  example: John Doe
                account_number:
                  type: string
                  example: 237680000000
                email:
                  type: string
                  example: john@example.com
                phone:
                  type: string
                  example: 237680000000
                description:
                  type: string
                  example: Employé
                country:
                  type: string
                  example: CM
                reference:
                  type: string
                  example: ref_123456789
              required:
                - channel
                - name
                - account_number
              oneOf:
                - required:
                    - email
                - required:
                    - phone
      responses:
        '201':
          description: Beneficiary created
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 201
                  status:
                    type: string
                    example: Created
                  message:
                    type: string
                    example: Beneficiary created successfully
                  beneficiary: 8a762787-e0fd-4916-81cd-062cc7c59fc6
                required:
                  - code
                  - status
                  - message
                  - beneficiary
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - GrantAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    GrantAuth:
      type: apiKey
      in: header
      name: X-Grant
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````